// CHECKSTYLE:OFF

package hudson.plugins.ccm;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;

@SuppressWarnings({
    "",
    "PMD"
})
public class Messages {

    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * Publishing CCM results
     * 
     */
    public static String CCM_Publisher_PerformingPublisher() {
        return holder.format("CCM.Publisher.PerformingPublisher");
    }

    /**
     * Publishing CCM results
     * 
     */
    public static Localizable _CCM_Publisher_PerformingPublisher() {
        return new Localizable(holder, "CCM.Publisher.PerformingPublisher");
    }

    /**
     * In
     * 
     */
    public static String CCM_Report_Summary_In() {
        return holder.format("CCM.Report.Summary.In");
    }

    /**
     * In
     * 
     */
    public static Localizable _CCM_Report_Summary_In() {
        return new Localizable(holder, "CCM.Report.Summary.In");
    }

    /**
     * Average complexity
     * 
     */
    public static String CCM_ChartUtil_AverageComplexity() {
        return holder.format("CCM.ChartUtil.AverageComplexity");
    }

    /**
     * Average complexity
     * 
     */
    public static Localizable _CCM_ChartUtil_AverageComplexity() {
        return new Localizable(holder, "CCM.ChartUtil.AverageComplexity");
    }

    /**
     * Parsing ccm.result.xml file
     * 
     */
    public static String CCM_Parser_ParsingResults() {
        return holder.format("CCM.Parser.ParsingResults");
    }

    /**
     * Parsing ccm.result.xml file
     * 
     */
    public static Localizable _CCM_Parser_ParsingResults() {
        return new Localizable(holder, "CCM.Parser.ParsingResults");
    }

    /**
     * {0} doesn't exist
     * 
     */
    public static String CCM_Builder_Installation_NoExe(Object arg1) {
        return holder.format("CCM.Builder.Installation.NoExe", arg1);
    }

    /**
     * {0} doesn't exist
     * 
     */
    public static Localizable _CCM_Builder_Installation_NoExe(Object arg1) {
        return new Localizable(holder, "CCM.Builder.Installation.NoExe", arg1);
    }

    /**
     * Could not parse ccm results: {0}  
     * 
     */
    public static String CCM_Parser_CouldNotParse(Object arg1) {
        return holder.format("CCM.Parser.CouldNotParse", arg1);
    }

    /**
     * Could not parse ccm results: {0}  
     * 
     */
    public static Localizable _CCM_Parser_CouldNotParse(Object arg1) {
        return new Localizable(holder, "CCM.Parser.CouldNotParse", arg1);
    }

    /**
     * Generating report
     * 
     */
    public static String CCM_Publisher_GeneratingReport() {
        return holder.format("CCM.Publisher.GeneratingReport");
    }

    /**
     * Generating report
     * 
     */
    public static Localizable _CCM_Publisher_GeneratingReport() {
        return new Localizable(holder, "CCM.Publisher.GeneratingReport");
    }

    /**
     * Creating CCM config file {0}
     * 
     */
    public static String CCM_Config_CreatingCCMConfigFile(Object arg1) {
        return holder.format("CCM.Config.CreatingCCMConfigFile", arg1);
    }

    /**
     * Creating CCM config file {0}
     * 
     */
    public static Localizable _CCM_Config_CreatingCCMConfigFile(Object arg1) {
        return new Localizable(holder, "CCM.Config.CreatingCCMConfigFile", arg1);
    }

    /**
     * methods. Project's total Cyclomatic Complexity: 
     * 
     */
    public static String CCM_Report_Summary_TotalCC() {
        return holder.format("CCM.Report.Summary.TotalCC");
    }

    /**
     * methods. Project's total Cyclomatic Complexity: 
     * 
     */
    public static Localizable _CCM_Report_Summary_TotalCC() {
        return new Localizable(holder, "CCM.Report.Summary.TotalCC");
    }

    /**
     * Number of methods
     * 
     */
    public static String CCM_ChartUtil_NumberOfMethods() {
        return holder.format("CCM.ChartUtil.NumberOfMethods");
    }

    /**
     * Number of methods
     * 
     */
    public static Localizable _CCM_ChartUtil_NumberOfMethods() {
        return new Localizable(holder, "CCM.ChartUtil.NumberOfMethods");
    }

    /**
     * Missing CCM installation
     * 
     */
    public static String CCM_Builder_MissingCCMInstallation() {
        return holder.format("CCM.Builder.MissingCCMInstallation");
    }

    /**
     * Missing CCM installation
     * 
     */
    public static Localizable _CCM_Builder_MissingCCMInstallation() {
        return new Localizable(holder, "CCM.Builder.MissingCCMInstallation");
    }

    /**
     * CCM command execution failed
     * 
     */
    public static String CCM_Builder_CCMCommandExecutionFailed() {
        return holder.format("CCM.Builder.CCMCommandExecutionFailed");
    }

    /**
     * CCM command execution failed
     * 
     */
    public static Localizable _CCM_Builder_CCMCommandExecutionFailed() {
        return new Localizable(holder, "CCM.Builder.CCMCommandExecutionFailed");
    }

    /**
     * Executing CCM command: {0}
     * 
     */
    public static String CCM_Builder_ExecutingCCMCommand(Object arg1) {
        return holder.format("CCM.Builder.ExecutingCCMCommand", arg1);
    }

    /**
     * Executing CCM command: {0}
     * 
     */
    public static Localizable _CCM_Builder_ExecutingCCMCommand(Object arg1) {
        return new Localizable(holder, "CCM.Builder.ExecutingCCMCommand", arg1);
    }

    /**
     * Total complexity
     * 
     */
    public static String CCM_ChartUtil_TotalComplexity() {
        return holder.format("CCM.ChartUtil.TotalComplexity");
    }

    /**
     * Total complexity
     * 
     */
    public static Localizable _CCM_ChartUtil_TotalComplexity() {
        return new Localizable(holder, "CCM.ChartUtil.TotalComplexity");
    }

    /**
     * Path To CCM.exe: {0}
     * 
     */
    public static String CCM_Builder_PathToCCM(Object arg1) {
        return holder.format("CCM.Builder.PathToCCM", arg1);
    }

    /**
     * Path To CCM.exe: {0}
     * 
     */
    public static Localizable _CCM_Builder_PathToCCM(Object arg1) {
        return new Localizable(holder, "CCM.Builder.PathToCCM", arg1);
    }

    /**
     * average complexity per method.
     * 
     */
    public static String CCM_Report_Summary_AverageComplexity() {
        return holder.format("CCM.Report.Summary.AverageComplexity");
    }

    /**
     * average complexity per method.
     * 
     */
    public static Localizable _CCM_Report_Summary_AverageComplexity() {
        return new Localizable(holder, "CCM.Report.Summary.AverageComplexity");
    }

    /**
     * Writing CCM configuration to file {0}
     * 
     */
    public static String CCM_Config_WritingCCMConfigurationToFile(Object arg1) {
        return holder.format("CCM.Config.WritingCCMConfigurationToFile", arg1);
    }

    /**
     * Writing CCM configuration to file {0}
     * 
     */
    public static Localizable _CCM_Config_WritingCCMConfigurationToFile(Object arg1) {
        return new Localizable(holder, "CCM.Config.WritingCCMConfigurationToFile", arg1);
    }

    /**
     * CCM Results
     * 
     */
    public static String CCM_Project_Action_CCMResults() {
        return holder.format("CCM.Project.Action.CCMResults");
    }

    /**
     * CCM Results
     * 
     */
    public static Localizable _CCM_Project_Action_CCMResults() {
        return new Localizable(holder, "CCM.Project.Action.CCMResults");
    }

    /**
     * Top 15 CC methods.
     * 
     */
    public static String CCM_Report_Summary_TopFifteen() {
        return holder.format("CCM.Report.Summary.TopFifteen");
    }

    /**
     * Top 15 CC methods.
     * 
     */
    public static Localizable _CCM_Report_Summary_TopFifteen() {
        return new Localizable(holder, "CCM.Report.Summary.TopFifteen");
    }

}
